﻿Imports Infragistics.Win.UltraWinGrid
Imports Infragistics.Win.UltraWinDataSource

Public Class Form1

    Private Sub UltraGrid1_InitializeLayout(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        With e.Layout

            With .Bands(0)
                If Not .Columns.Exists("SubTotal") Then
                    ' Add an unbound column to the parent band whose formula points to the 
                    ' summary in the child band. 
                    Dim subTotalColumn As UltraGridColumn = .Columns.Add("SubTotal")
                    subTotalColumn.DataType = GetType(Integer)
                    subTotalColumn.Formula = "[Band 1/ValueSummary()]"
                End If
            End With

            With .Bands(1)
                If Not .Summaries.Exists("ValueSummary") Then
                    ' Add a summary for the Value column in the child band
                    Dim valueSummary As SummarySettings = .Summaries.Add("ValueSummary", "Sum([Value])", SummaryPosition.UseSummaryPositionColumn, .Columns("Value"))
                    valueSummary.DisplayFormat = "{0}"
                End If
            End With
        End With
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load


        For i As Integer = 0 To 10
            Dim parentRow As UltraDataRow = Me.UltraDataSource1.Rows.Add(New Object() {i})
            For j As Integer = 0 To 5
                parentRow.GetChildRows(0).Add(New Object() {i, i * j})
            Next
        Next

    End Sub
End Class
